Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.xml
Class UnresolvableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.xpath.XPathException
                  org.apache.taglibs.standard.tag.common.xml.UnresolvableException

All Implemented Interfaces:
  Serializable

    public class UnresolvableException

extends XPathException

Derived from XPathException in order that XPath processor exceptions may be specifically caught.

See Also:
  Serialized Form

Constructor Summary
`UnresolvableException(String message)` Create an UnresolvableException object that holds an error message.
`UnresolvableException(Throwable cause)` Create an UnresolvableException object that holds an error message, and another exception that caused this exception.

Method Summary

Methods inherited from class javax.xml.xpath.XPathException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvableException

    public UnresolvableException(String message)

  Create an UnresolvableException object that holds an error message.

  Parameters:
    `message` - The error message.

### UnresolvableException

    public UnresolvableException(Throwable cause)

  Create an UnresolvableException object that holds an error message, and another exception that caused this exception.

  Parameters:
    `cause` - The exception that caused this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.